.\" $Xorg: synclient.man,v 1.0 2006/09/16 18:20:58 vojta Exp $
.\" Copyright 2006  Paul Vojta
.TH SYNCLIENT 1 __vendorversion__
.SH NAME
synclient - Control/configuration program for Synaptics TouchPad driver
.SH SYNOPSIS
.B "synclient"
[\fB\-\-display\fP \fIdisplay\fP]
[\fB\-\-test\fP]
[\fB\-\-version\fP]
[\fB\-\-help\fP]
.IR var
.RI ...
.IB var = value
.RI ...
.SH SUMMARY
.PP
The
.I synclient
is a command-line program for setting and displaying configuration settings
for a Synaptics TouchPad driver running within the X server.
.SH OPTIONS
.PP
.TP 8
.BI "\-d, \-\-display" " display"
Specifies the host and screen to use for connecting to the X server.
.PP
.TP 8
.B "\-h, \-\-help"
Print out a summary of command line options on standard output, and then exit.
.PP
.TP 8
.B "\-t, \-\-test"
Exit with a status code indicating success if the program is able to connect
to the X server and if the server is running a version of the Synaptics
touchpad driver which is compatible with this copy of the
.I synclient
program.  If not, then an error message is printed on the standard error output
and
.I synclient
exits with a status code indicating failure.
.PP
.TP 8
.B "\-v, \-\-version"
Print the version of the
.I synclient
program on standard output, and then exit.
.PP
If none of
.BR \-\-test ,
.BR \-\-help ,
or
.B \-\-version
was specified on the command line, then
.I synclient
looks for a list of arguments of the form
.I var
or
.IR "var\fB=\fPvalue" .
.PP
If no such arguments are given, then
.I synclient
prints out a list of all parameters and their current values.  Otherwise,
for arguments of the form
.IR var ,
.I synclient
prints out the value of the parameter.  For arguments of the form
.IR "var\fB=\fPvalue" ,
.I synclient
sets the parameter to the given value.
.PP
The possible parameters are described in the synaptics(__drivermansuffix__)
manual page.  Note that not all variables allowed in the xorg.conf file
can be changed at run time, but most of them can.
.SH DESCRIPTION
.PP
The Synaptics TouchPad driver registers a server extension allowing
user programs to access and modify certain aspects of the driver's operation
at run time.  This program,
.I synclient,
is one such program, providing basic facilities at the command line.
.PP
Programs such as
.I synclient
access or modify the Synaptics driver's behavior by reading or writing values
of certain parameters listed in the synaptics(__drivermansuffix__) manual page.
With a few exceptions, these are the parameters that can be set in the
configuration file (often named
.BR xorg.conf ).
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
The default host and display number (if no
.B \-display
argument was given on the command line).
.SH SEE ALSO
X(__miscmansuffix__), synaptics(__drivermansuffix__)
.SH AUTHOR
Paul Vojta
